import pandas as pd
from typing import Any, Text, Dict, List
from rasa_sdk import Action, Tracker
from rasa_sdk.executor import CollectingDispatcher

# Load dataset
df = pd.read_csv('Fakedataset.csv')

class ActionGetFlightDetails(Action):
    def name(self) -> Text:
        return "action_get_flight_details"

    def run(self, dispatcher: CollectingDispatcher,
            tracker: Tracker,
            domain: Dict[Text, Any]) -> List[Dict[Text, Any]]:
            passenger_id = tracker.get_slot("passenger_id")

        if not result.empty:
            details = result.to_dict(orient="records")[0]
            response = f"Passenger: {details['First Name']} {details['Last Name']}\n" \
                       f"Flight: {details['Departure Date']} from {details['Airport Name']} to {details['Arrival Airport']}.\n" \
                       f"Status: {details['Flight Status']}."
            dispatcher.utter_message(text=response)
        else:
            dispatcher.utter_message(text="No flight details found for the provided information.")
        return []
        
